/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { EventEmitter } from '@angular/core';
import { ListItemModel } from './list-item-model';
import { ButtonItemTemplateDirective } from './button-item-template.directive';
import { ButtonSize } from '../common/models';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class ListComponent {
    data: Array<ListItemModel>;
    textField: string;
    itemTemplate: ButtonItemTemplateDirective;
    onItemClick: EventEmitter<number>;
    onItemBlur: EventEmitter<any>;
    set size(size: ButtonSize);
    sizeClass: string;
    constructor();
    getText(dataItem: any): any;
    getIconClasses(dataItem: ListItemModel): any;
    onClick(index: number): void;
    onBlur(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ListComponent, "kendo-button-list", never, { "data": { "alias": "data"; "required": false; }; "textField": { "alias": "textField"; "required": false; }; "itemTemplate": { "alias": "itemTemplate"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, { "onItemClick": "onItemClick"; "onItemBlur": "onItemBlur"; }, never, never, true, never>;
}
